## linux 3.2.73

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 73
EXTRAVERSION =
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== debian/changelog ===
linux (3.2.73-2+deb7u2~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 03 Jan 2016 02:04:37 +0000

linux (3.2.73-2+deb7u2) wheezy-security; urgency=medium

  * net: add validation for the socket syscall protocol argument (CVE-2015-8543)
  * [xen] Fix race conditions in back-end drivers (CVE-2015-8550, XSA-155)
  * [xen] pciback: Fix state validation in MSI control operations
    (CVE-2015-8551, CVE-2015-8852, XSA-157)
  * pptp: verify sockaddr_len in pptp_bind() and pptp_connect() (CVE-2015-8569)
  * bluetooth: Validate socket address length in sco_sock_bind() (CVE-2015-8575)
  * KEYS: Fix race between read and revoke (CVE-2015-7550)
  * [x86] KVM: Reload pit counters for all channels when restoring state
    (CVE-2015-7513)
  * udp: properly support MSG_PEEK with truncated buffers
    (Closes: #808293, regression in 3.2.72)
  * drm/radeon: fix hotplug race at startup
    (Closes: #808973, regression in 3.4.110)
  * Revert "xhci: don't finish a TD if we get a short transfer event mid TD"
    (Closes: #808602, #808953, regression in 3.2.73)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 02 Jan 2016 03:31:22 +0000

linux (3.2.73-2+deb7u1) wheezy-security; urgency=medium

  * media: usbvision-video: fix memory leak of alt_max_pkt_size
  * media: usbvision: fix leak of usb_dev on failure paths in usbvision_probe()
  * media: usbvision: fix crash on detecting device with invalid configuration
    (CVE-2015-7833, partly fixed in 3.2.68-1+deb7u6)
  * [x86] KVM: svm: Restore #BP handler, mistakenly removed in 3.2.73-1
  * unix: avoid use-after-free in ep_remove_wait_queue (CVE-2013-7446)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Dec 2015 21:28:02 +0000

linux (3.2.73-2) wheezy; urgency=medium

  * splice: sendfile() at once fails for big files (Closes: #785189)
  * drm, agp: Update to 3.4.110:
    - drm/radeon: take the mode_config mutex when dealing with hpds (v2)
    - [x86] agp/intel: Fix typo in needs_ilk_vtd_wa()
    - [x86] Revert "drm/i915: Don't skip request retirement if the active list
      is empty" (regression in 3.4.109) (Closes: #805880)
    - Revert "drm/radeon: Use drm_calloc_ab for CS relocs"
      (regression in 3.4.109)
    - drm/radeon: partially revert "fix VM_CONTEXT*_PAGE_TABLE_END_ADDR
      handling" (regression in 3.4.109)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 23 Nov 2015 23:45:54 +0000

linux (3.2.73-1) wheezy; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.72
    - xen/gntdevt: Fix race condition in gntdev_release()
    - [armel/ixp4xx] crypto: Remove bogus BUG_ON on scattered dst buffer
    - target/iscsi: Fix double free of a TUR followed by a solicited NOPOUT
    - md/raid1: extend spinlock to protect raid1_end_read_request against
      inconsistencies
    - target: REPORT LUNS should return LUN 0 even for dynamic ACLs
    - [mips*] Fix sched_getaffinity with MT FPAFF enabled
    - xhci: fix off by one error in TRB DMA address boundary check
    - rds: fix an integer overflow test in rds_info_getsockopt()
    - perf: Fix fasync handling on inherited events
    - [mips*] Make set_pte() SMP safe.
    - ocfs2: fix BUG in ocfs2_downconvert_thread_do_work()
    - net: Clone skb before setting peeked flag
    - net: Fix skb_set_peeked use-after-free bug
    - [x86] ldt: Make modify_ldt synchronous
    - [x86] ldt: Correct LDT access in single stepping logic
    - [x86] ldt: Correct FPU emulation access to LDT
    - dm btree: add ref counting ops for the leaves of top level btrees
    - libiscsi: Fix host busy blocking during connection teardown
    - libfc: Fix fc_fcp_cleanup_each_cmd()
    - ipc,sem: fix use after free on IPC_RMID after a task using same semaphore
      set exits
    - [x86] ldt: Further fix FPU emulation
    - net: Fix RCU splat in af_key
    - sctp: donot reset the overall_error_count in SHUTDOWN_RECEIVE state
    - [sparc] Fix userspace FPU register corruptions. (Closes: #789180)
    - rc-core: fix remove uevent generation
    - PCI: Fix TI816X class code quirk
    - mac80211: enable assoc check for mesh interfaces
    - PCI: Add VPD function 0 quirk for Intel Ethernet devices
    - usb: gadget: m66592-udc: forever loop in set_feature()
    - auxdisplay: ks0108: fix refcount
    - devres: fix devres_get()
    - [powerpc] windfarm: decrement client count when unregistering
    - NFSv4: don't set SETATTR for O_RDONLY|O_EXCL
    - usb: host: ehci-sys: delete useless bus_to_hcd conversion
    - eCryptfs: Invalidate dcache entries when lower i_nlink is zero
    - xfs: Fix xfs_attr_leafblock definition
    - of/address: Don't loop forever in of_find_matching_node_by_address().
    - drivercore: Fix unregistration path of platform devices
    - xfs: return errors from partial I/O failures to files
    - IB/qib: Change lkey table allocation to support more MRs
    - SUNRPC: xs_reset_transport must mark the connection as disconnected
    - IB/mlx4: Use correct SL on AH query under RoCE
    - IB/uverbs: Fix race between ib_uverbs_open and remove_one
    - IB/uverbs: reject invalid or unknown opcodes
    - Input: evdev - do not report errors form flush()
    - [x86] crypto: ghash-clmulni: specify context size for ghash async
      algorithm
    - fs: create and use seq_show_option for escaping
    - ARM: 8429/1: disable GCC SRA optimization
    - pagemap: hide physical addresses from non-privileged users


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.6.6-3~), lzma [armel], quilt, patchutils, gcc-4.4 [alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa], gcc-4.6 [m68k]
Build-Depends-Indep: bzip2, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-0.bpo.4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-0.bpo.4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-0.bpo.4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-generic package.

Package: linux-image-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-smp package.

Package: linux-image-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-legacy, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-legacy, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-legacy package.

Package: linux-headers-3.2.0-0.bpo.4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-image-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [amd64 i386] | linux-initramfs-tool [amd64 i386]
Recommends: firmware-linux-free (>= 3~), libc6-i686 [i386]
Suggests: linux-doc-3.2, debian-kernel-handbook, grub-pc [amd64 i386] | extlinux [amd64 i386] | lilo [amd64 i386]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for 64-bit PCs
 The Linux kernel 3.2 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-amd64 package.

Package: linux-image-3.2.0-0.bpo.4-amd64-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: linux-image-3.2.0-0.bpo.4-amd64, ${misc:Depends}
Description: Debugging symbols for Linux 3.2.0-0.bpo.4-amd64
 This package provides the detached debugging symbols for the Linux kernel
 and modules in linux-image-3.2.0-0.bpo.4-amd64.

Package: xen-linux-system-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Depends: linux-image-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), ${misc:Depends}, xen-system-amd64
Description: Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 This package depends on the binary Linux image and hypervisors.

Package: linux-headers-3.2.0-0.bpo.4-common-rt
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4-rt
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4-rt, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-rt-amd64

## linux 3.2.78

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 2
-SUBLEVEL = 73
+SUBLEVEL = 78
 EXTRAVERSION =
 NAME = Saber-toothed Squirrel

=== debian/changelog ===
linux (3.2.78-1) wheezy; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.74
    - PCI: Fix devfn for VPD access through function 0
    - PCI: Use function 0 VPD for identical functions, regular VPD for others
    - mac80211: fix driver RSSI event calculations
    - HID: core: Avoid uninitialized buffer access
    - wm831x_power: Use IRQF_ONESHOT to request threaded IRQs
    - mwifiex: fix mwifiex_rdeeprom_read()
    - mtd: mtdpart: fix add_mtd_partitions error path
    - devres: fix a for loop bounds check
    - packet: fix match_fanout_group()
    - Btrfs: added helper btrfs_next_item()
    - Btrfs: fix file corruption and data loss after cloning inline extents
    - [x86] iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints
    - Btrfs: don't use ram_bytes for uncompressed inline items
    - Btrfs: fix truncation of compressed and inlined extents
    - ext4, jbd2: ensure entering into panic after recording an error in
      superblock
    - ACPI: Use correct IRQ when uninstalling ACPI interrupt handler
    - ALSA: hda - Disable 64bit address for Creative HDA controllers
    - megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - can: Use correct type in sizeof() in nla_put()
    - mtd: blkdevs: fix potential deadlock + lockdep warnings
    - crypto: algif_hash - Only export and import on sockets with data
    - megaraid_sas : do not access user memory from IOCTL code
    - ipv6: fix tunnel error handling
    - ALSA: hda - Apply pin fixup for HP ProBook 6550b
    - firewire: ohci: fix JMicron JMB38x IT context discovery
    - scsi: restart list search after unlock in scsi_remove_target
    - [amd64] cpu: Call verify_cpu() after having entered long mode too
    - Btrfs: fix race leading to incorrect item deletion when dropping extents
    - Btrfs: fix race leading to BUG_ON when running delalloc for nodatacow
    - perf: Fix inherited events vs. tracepoint filters
    - scsi_sysfs: Fix queue_ramp_up_period return code
    - Btrfs: fix race when listing an inode's xattrs
    - net: fix a race in dst_release()
    - FS-Cache: Increase reference of parent after registering, netfs success
    - FS-Cache: Don't override netfs's primary_index if registering failed
    - FS-Cache: Handle a write to the page immediately beyond the EOF marker
    - binfmt_elf: Don't clobber passed executable's file header
    - fs: make dumpable=2 require fully qualified path
    - fs: if a coredump already exists, unlink and recreate with O_EXCL
    - irda: precedence bug in irlmp_seq_hb_idx()
    - RDS-TCP: Recover correctly from pskb_pull()/pksb_trim() failure in
      rds_tcp_data_recv
    - ipmr: fix possible race resulting from improper usage of IP_INC_STATS_BH()
      in preemptible context.
    - net: avoid NULL deref in inet_ctl_sock_destroy()
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.75
    - fuse: break infinite loop in fuse_fill_write_pages()
    - sctp: translate host order to network order when setting a hmacid
    - ALSA: usb-audio: add packet size quirk for the Medeli DD305
    - ALSA: usb-audio: prevent CH345 multiport output SysEx corruption
    - ALSA: usb-audio: work around CH345 input SysEx corruption
    - usb: musb: core: fix order of arguments to ulpi write callback
    - ASoC: wm8962: correct addresses for HPF_C_0/1
    - net: fix __netdev_update_features return on ndo_set_features failure
    - FS-Cache: Add missing initialization of ret in cachefiles_write_page()
    - mac80211: mesh: fix call_rcu() usage
    - macvlan: fix leak in macvlan_handle_frame
    - xhci: Add XHCI_INTEL_HOST quirk
    - xhci: Workaround to get Intel xHCI reset working more reliably
    - usblp: do not set TASK_INTERRUPTIBLE before lock
    - mac: validate mac_partition is within sector
    - ip6mr: call del_timer_sync() in ip6mr_free_table()
    - net: ip6mr: fix static mfc/dev leaks on table destruction
    - can: sja1000: clear interrupts on start
    - USB: cp210x: Remove CP2110 ID from compatibility list
    - USB: cdc-acm - Add IGNORE_DEVICE quirk
    - USB: cdc_acm: Ignore Infineon Flash Loader utility
    - fix sysvfs symlinks
    - vfs: Make sendfile(2) killable even better
    - vfs: Avoid softlockups with sendfile(2)
    - broadcom: fix PHY_ID_BCM5481 entry in the id table
    - ring-buffer: Update read stamp with first real commit on page
    - ext4: Fix handling of extended tv_sec
    - jbd2: Fix unreclaimed pages after truncate in data=journal mode
    - nfs: if we have no valid attrs, then don't declare the attribute cache
      valid
    - AHCI: Fix softreset failed issue of Port Multiplier
    - sata_sil: disable trim
    - wan/x25: Fix use-after-free in x25_asy_open_tty()
    - USB: whci-hcd: add check for dma mapping error
    - usb: Use the USB_SS_MULT() macro to decode burst multiplier for log message
    - dm btree: fix leak of bufio-backed block in btree_split_sibling error path
    - ipv4: igmp: Allow removing groups from a removed interface
    - locking: Add WARN_ON_ONCE lock assertion
    - sched/core: Remove false-positive warning from wake_up_process()
    - sched/core: Clear the root_domain cpumasks in init_rootdomain()
    - usb: xhci: fix config fail of FS hub behind a HS hub with MTT
    - ALSA: rme96: Fix unexpected volume reset after rate changes
    - 9p: ->evict_inode() should kick out ->i_data, not ->i_mapping
    - ipmi: move timer init to before irq is setup
    - dm btree: fix bufio buffer leaks in dm_btree_del() error path
    - vgaarb: fix signal handling in vga_get()
    - mm, vmstat: allow WQ concurrency to discover memory reclaim doesn't make
      any progress
    - mm: hugetlb: call huge_pte_alloc() only if ptep is null
    - snmp: Remove duplicate OUTMCAST stat increment
    - tcp: initialize tp->copied_seq in case of cross SYN connection
    - net, scm: fix PaX detected msg_controllen overflow in scm_detach_fds


## linux 3.2.89

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 2
-SUBLEVEL = 78
+SUBLEVEL = 89
 EXTRAVERSION =
 NAME = Saber-toothed Squirrel
 
@@ -352,7 +352,7 @@
 LDFLAGS_MODULE  =
 CFLAGS_KERNEL	=
 AFLAGS_KERNEL	=
-CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage
+CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im
 
 
 # Use LINUXINCLUDE when you must reference the include/ directory.
@@ -386,4 +386,3 @@
 export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
 export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS
 
-export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== debian/changelog ===
linux (3.2.89-2) wheezy-security; urgency=high

  * Revert previous fixes for CVE-2017-1000364 (Closes: #865303)
  * mm: larger stack guard gap, between vmas (CVE-2017-1000364)
  * mm: larger stack guard gap, between vmas - ARM topdown case

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 26 Jun 2017 18:57:49 +0100

linux (3.2.89-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.89
    - adm8211: return an error if adm8211_alloc_rings() fails
    - ath5k: drop bogus warning on drv_set_key with unsupported cipher
    - RDMA/core: Fix incorrect structure packing for booleans
    - IB/ipoib: Set device connection mode only when needed
    - IB/ipoib: Change list_del to list_del_init in the tx object
    - USB: serial: ch341: fix modem-status handling
    - USB: serial: ark3116: fix register-accessor error handling
    - USB: serial: ark3116: fix open error handling
    - USB: serial: ftdi_sio: fix modem-status error handling
    - USB: serial: ftdi_sio: fix latency-timer error handling
    - USB: serial: io_edgeport: fix epic-descriptor handling
    - USB: serial: io_edgeport: fix descriptor error handling
    - USB: serial: mct_u232: fix modem-status error handling
    - USB: serial: ssu100: fix control-message error handling
    - USB: serial: ti_usb_3410_5052: fix control-message error handling
    - [x86] staging: rtl: fix possible NULL pointer dereference
    - mwifiex: debugfs: Fix (sometimes) off-by-1 SSID print
    - usb: gadget: f_hid: Use spinlock instead of mutex
    - USB: serial: ftdi_sio: fix extreme low-latency setting
    - drm/ttm: Make sure BOs being swapped out are cacheable
    - drm/radeon: handle vfct with multiple vbios images
    - ext4: trim allocation requests to group size
    - ext4: use private version of page_zero_new_buffers() for data=journal mode
    - ext4: fix data corruption in data=journal mode
    - bcma: use (get|put)_device when probing/removing device driver
    - USB: serial: digi_acceleport: fix OOB data sanity check
    - USB: serial: digi_acceleport: fix OOB-event processing
    - USB: serial: digi_acceleport: fix incomplete rx sanity check
    - USB: serial: keyspan_pda: fix receive sanity checks
    - [x86] pci-calgary: Fix iommu_free() comparison of unsigned expression >= 0
    - jbd2: don't leak modified metadata buffers on an aborted journal
    - ext4: preserve the needs_recovery flag when the journal is aborted
    - USB: serial: ftdi_sio: fix line-status over-reporting
    - USB: serial: mos7840: fix another NULL-deref at open
    - KEYS: Fix an error code in request_master_key()
    - [x86] drivers: hv: Turn off write permission on the hypercall page
    - [armhf/omap] mmc: host: omap_hsmmc: avoid possible overflow of timeout
      value
    - md linear: fix a race between linear_add() and linear_congested()
    - md: ensure md devices are freed before module is unloaded.
    - nlm: Ensure callback code also checks that the files match
    - nfsd: update mtime on truncate
    - nfsd: minor nfsd_setattr cleanup
    - nfsd: special case truncates some more
    - NFSv4: Fix the underestimation of delegation XDR space reservation
    - fuse: add missing FR_FORCE
    - rdma_cm: fail iwarp accepts w/o connection params
    - net/dccp: fix use after free in tw_timer_handler()
    - scsi: aacraid: Fix memory leak in fib init path
    - scsi: aacraid: Reorder Adapter status check
    - NFSv4: Fix range checking in __nfs4_get_acl_uncached and
      __nfs4_proc_set_acl
    - NFSv4: fix getacl ERANGE for some ACL buffer sizes
    - net sched actions: decrement module reference count after table flush.
    - ALSA: timer: Reject user params with too small ticks
    - ALSA: ctxfi: Fallback DMA mask to 32bit
    - ALSA: seq: Fix link corruption by event error handling
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()
      (CVE-2017-0605)
    - ipx: call ipxitf_put() in ioctl error path (CVE-2017-7487)
    - nfsd: check for oversized NFSv2/v3 arguments (CVE-2017-7645)
    - nfsd4: minor NFSv2/v3 write decoding cleanup
    - nfsd: stricter decoding of write-like NFSv2/v3 ops (CVE-2017-7895)
    - dccp/tcp: do not inherit mc_list from parent (CVE-2017-8890)
    - USB: serial: io_ti: fix information leak in completion handler
      (CVE-2017-8924)
    - USB: serial: omninet: fix reference leaks at open (CVE-2017-8925)
    - ipv6: Prevent overrun when parsing v6 header options (CVE-2017-9074)
    - ipv6: Check ip6_find_1stfragopt() return value properly.
    - sctp: do not inherit ipv6_{mc|ac|fl}_list from parent (CVE-2017-9075)
    - ipv6/dccp: do not inherit ipv6_mc_list from parent (CVE-2017-9076,
      CVE-2017-9077)
    - ipv6: fix out of bound writes in __ip6_append_data() (CVE-2017-9242)

  [ Ben Hutchings ]
  * ipv6: xfrm: Handle errors reported by xfrm6_find_1stfragopt()
  * net: add kfree_skb_list()
  * ipv6: Fix leak in ipv6_gso_segment().
  * Ignore ABI changes in IB, rds
  * mm: do not grow the stack vma just because of an overrun on preceding vma
  * mm: enlarge stack guard gap (CVE-2017-1000364)
  * mm: allow to configure stack gap size
  * mm, proc: cap the stack gap for unpopulated growing vmas
  * mm: do not collapse stack gap into THP

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 18 Jun 2017 17:18:24 +0100

linux (3.2.88-1) wheezy-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.87
    - net/sched: em_meta: Fix 'meta vlan' to correctly recognize zero VID frames
    - ite-cir: initialize use_demodulator before using it
    - usb: gadget: composite: correctly initialize ep->maxpacket
    - [x86] drm/gma500: Add compat ioctl
    - xfs: fix up xfs_swap_extent_forks inline extent handling
    - PCI: Check for PME in targeted sleep state
    - USB: UHCI: report non-PME wakeup signalling for Intel hardware
    - usb: xhci-mem: use passed in GFP flags instead of GFP_KERNEL
